FTBFS with ld --as-needed

Bug #1580431 reported by Logan Rosen on 2016-05-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
dosfstools (Ubuntu)
High
Unassigned

Bug Description

dosfstools 4.0-1 (and soon 4.0-2) FTBFS in Ubuntu due to our use of ld --as-needed, which requires that libraries come after the objects that require them when being linked.

Made a patch that I later realized is also duplicated in a pull request for upstream: https://github.com/dosfstools/dosfstools/pull/28

Logan Rosen (logan) wrote :
Changed in dosfstools (Ubuntu):
importance: Undecided → High
tags: added: ftbfs
Michael Terry (mterry) wrote :

Brilliant, thanks! I've uploaded this to yakkety, LP will autoclose it when it lands.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dosfstools - 4.0-2ubuntu1

---------------
dosfstools (4.0-2ubuntu1) yakkety; urgency=medium

  * debian/patches/ld-as-needed.patch: Use LDADD instead of LDFLAGS for
    library links to fix FTBFS with ld --as-needed. (LP: #1580431)

 -- Logan Rosen <email address hidden> Tue, 10 May 2016 23:26:40 -0400

Changed in dosfstools (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers